Bug 67746 - SIDEBAR Feature request: RTL\LTR buttons
Summary: SIDEBAR Feature request: RTL\LTR buttons
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: All All
: high enhancement
Assignee: abdulmajeed
QA Contact:
URL:
Whiteboard: target:4.2.0
Keywords:
Depends on:
Blocks: rtl-meta
  Show dependency treegraph
 
Reported: 2013-08-04 15:14 UTC by Maxim Monastirsky
Modified: 2013-10-21 09:25 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Patch for Calc Alignment panel (2.21 KB, text/plain)
2013-10-13 12:45 UTC, Maxim Monastirsky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maxim Monastirsky 2013-08-04 15:14:41 UTC
Please add RTL\LTR switch buttons to the sidebar. RTL users often need to switch between RTL\LTR, and if they want to use the sidebar, they also have to keep the Formatting toolbar on-screen just for those two buttons.
Comment 1 Jorendc 2013-08-05 09:53:34 UTC
Looks a valid enhancement request to me.
Comment 2 Commit Notification 2013-09-09 13:12:39 UTC
abdulmajeed ahmed committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d9e21015d28b03c5df73b4e819ed2a6fc85c3a7e

Fix fdo#67746 SIDEBAR Feature request: RTL\LTR buttons



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Lior Kaplan 2013-09-12 09:30:47 UTC
Fix verified on a build from master.
Comment 4 Maxim Monastirsky 2013-09-12 12:04:14 UTC
@abdulmajeed ahmed: Thank you for your work, but RTL\LTR setting applies to a whole paragraph, so it should go to the Paragraph panel instead!
Comment 5 Commit Notification 2013-10-08 12:09:08 UTC
abdulmajeed ahmed committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a5aa1b29d5fb9a8a3045ba36fa0de4a0718bed54

Move WriteDirection buttons to paragraph sidebar fdo#67746



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Maxim Monastirsky 2013-10-13 12:45:28 UTC
Created attachment 87556 [details]
Patch for Calc Alignment panel

@abdulmajeed ahmed: Sorry for spamming you again, but we should also add this functionality to Calc's Alignment panel (sc/uiconfig/scalc/ui/sidebaralignment.ui). I attached a patch which does the job. It's just copy-paste from your commit, so you can commit it as your own work.
Comment 7 Commit Notification 2013-10-21 08:39:47 UTC
abdulmajeed ahmed committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aa02102fe9d338eb7d0774bd54feeac2142506ac

Add writedirections buttons to calc sidebar fdo#67746



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Maxim Monastirsky 2013-10-21 09:25:38 UTC
@abdulmajeed ahmed: Great work, thanks a lot!